- Qt 5.5
- Qt3D Module
- C++ Classes
- QNodeId
- Qt 5.5.1 Reference Documentation

# QNodeId Class

(Qt3D::QNodeId)

- List of all members, including inherited members

## Public Functions

| QNodeId()
quint64 | id() const
bool | isNull() const
bool | operator!=(const QNodeId & other) const
bool | operator<(const QNodeId & other) const
bool | operator==(const QNodeId & other) const
bool | operator>(const QNodeId & other) const

## Static Public Members

QNodeId | createId()

## Member Function Documentation

### QNodeId::QNodeId()

### `[static]` QNodeId QNodeId::createId()

### quint64 QNodeId::id() const

### bool QNodeId::isNull() const

### bool QNodeId::operator!=(const QNodeId & other) const

### bool QNodeId::operator<(const QNodeId & other) const

### bool QNodeId::operator==(const QNodeId & other) const

### bool QNodeId::operator>(const QNodeId & other) const